﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace SimpleSample
{
   public class Sample : ContentPage
    {
        ObservableCollection<ChartDataPoint> dataPoints;

        public Sample()
        {
            SfChart sfChart = new SfChart();

            DateTimeAxis dateTimeAxis = new DateTimeAxis();
            dateTimeAxis.IntervalType = DateTimeIntervalType.Hours;
            dateTimeAxis.Interval = 1;
            dateTimeAxis.LabelStyle.LabelFormat = "hh:mm";
            sfChart.PrimaryAxis = dateTimeAxis;

            sfChart.SecondaryAxis = new NumericalAxis();

            dataPoints = new ObservableCollection<ChartDataPoint>();
            dataPoints.Add(new ChartDataPoint(new DateTime(2010, 01, 1, 1, 0, 0), 25));
            dataPoints.Add(new ChartDataPoint(new DateTime(2010, 01, 1, 2, 0, 0), 55));
            dataPoints.Add(new ChartDataPoint(new DateTime(2010, 01, 1, 3, 0, 0), 30));
            dataPoints.Add(new ChartDataPoint(new DateTime(2010, 01, 1, 4, 0, 0), 55));
            dataPoints.Add(new ChartDataPoint(new DateTime(2010, 01, 1, 5, 0, 0), 40));

            LineSeries lineSeries = new LineSeries();
            lineSeries.ItemsSource = dataPoints;
            sfChart.Series.Add(lineSeries);

            Content = sfChart;
        }
    }
}
